Компрометация системы в X2CRM

Дата публикации:
24.03.2014
Дата изменения:
24.03.2014
Всего просмотров:
850
Опасность:
Средняя
Наличие исправления:
Инстуркции по устранению
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:C/A:N/E:U/RL:W/RC:C) = Base:7.1/Temporal:5.7
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
X2CRM 3.x
Уязвимые версии: X2CRM 3.7.3, 3.7.4 и 3.7.5, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки в скрипте /protected/modules/media/controllers/MediaController.php позволяющего загружать файлы с произвольным разрешением в паку внутри корневой директории. Удаленный пользователь может загрузить вредоносный PHP скрипт и выполнить произвольный код PHP.

URL производителя: http://www.x2engine.com

Решение: Установите последнюю версию 4.0 или примените патч с сайта производителя.

Ссылки: http://x2community.com/topic/1511-multiple-vulnerabilities-in-x2engine/
http://x2community.com/topic/1535-x2engine-40/
http://hauntit.blogspot.com/2014/02/en-multiple-vulnerabilities-in-x2engine.html

или введите имя

CAPTCHA